// Product Gallery Thumbnail Functionality
document.addEventListener('DOMContentLoaded', function() {
    const mainImage = document.getElementById('main-product-image');
    const thumbnails = document.querySelectorAll('.thumbnail-item');

    // Add click event to each thumbnail
    thumbnails.forEach(thumbnail => {
        thumbnail.addEventListener('click', function() {
            // Update main image src with the data-image attribute
            const newImageSrc = this.getAttribute('data-image');
            mainImage.src = newImageSrc;

            // Remove active class from all thumbnails
            thumbnails.forEach(item => {
                item.classList.remove('border-orange-500');
                item.classList.add('border');
            });

            // Add active class to clicked thumbnail
            this.classList.remove('border');
            this.classList.add('border-orange-500', 'border-2');
        });
    });

});
// Modal functions
function openQuoteModal() {
    document.getElementById('quoteModal').classList.remove('hidden');
    document.body.style.overflow = 'hidden';
}

function closeQuoteModal() {
    document.getElementById('quoteModal').classList.add('hidden');
    document.body.style.overflow = 'auto';
}

// Close modal when clicking outside
window.onclick = function(event) {
    const modal = document.getElementById('quoteModal');
    if (event.target === modal) {
        closeQuoteModal();
    }
}
